com.gisgraphy.stats

## Enum StatsUsageType

- java.lang.Object
- - java.lang.Enum<StatsUsageType>
  - - com.gisgraphy.stats.StatsUsageType

- All Implemented Interfaces:
    Serializable, Comparable<StatsUsageType>

      public enum StatsUsageType
      extends Enum<StatsUsageType>

  Represent all the types of stats
  Author:
    David Masclet

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADDRESSPARSER`
    `FULLTEXT`
    `GEOCODING`
    `GEOLOC`
    `REVERSEGEOCODING`
    `STREET`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StatsUsageType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static StatsUsageType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GEOLOC

          public static final StatsUsageType GEOLOC

    - #### FULLTEXT

          public static final StatsUsageType FULLTEXT

    - #### STREET

          public static final StatsUsageType STREET

    - #### GEOCODING

          public static final StatsUsageType GEOCODING

    - #### ADDRESSPARSER

          public static final StatsUsageType ADDRESSPARSER

    - #### REVERSEGEOCODING

          public static final StatsUsageType REVERSEGEOCODING

  - ### Method Detail

    - #### values

          public static StatsUsageType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StatsUsageType c : StatsUsageType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StatsUsageType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015. All rights reserved.